petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASSetContinuation

Sets the FAS cycle to default to exact Newton solves on the upsweep

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetContinuation(SNES snes,PetscBool continuation)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the multigrid context Many br
| n | - the number of smoothing steps Many br

### Options Database Key

-snes_fas_continuation -sets continuation to true Many br

Many br

Notes: This sets the prefix on the upsweep smoothers to -fas_continuation Many br

### Keywords

FAS, MG, smoother, continuation

### See Also

SNESFAS

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages